### Method

# Ggit Repository revert

#### Declaration [src]

    gboolean
    ggit_repository_revert (
      GgitRepository* repository,
      GgitCommit* commit,
      GgitRevertOptions* options,
      GError** error
    )

#### Description [src]

Revert the given `commit` on top of the current working directory.

#### Parameters

`commit`

  Type: `GgitCommit`

  A `GgitCommit`.

  The data is owned by the caller of the method.

`options`

  Type: `GgitRevertOptions`

  A `GgitRevertOptions`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the revert was successfull, `FALSE` otherwise.